Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.tdb
Class TDB

    java.lang.Object
      com.hp.hpl.jena.tdb.TDB

    public class TDB

extends Object

Field Summary
`static String` | `BUILD_DATE` The date and time at which this release was built
`static org.slf4j.Logger` | `logInfo` Logger for general information
`static String` | `logInfoName` Logger for general information
`static org.slf4j.Logger` | `logLoader` Logger for loading information
`static String` | `logLoaderName` Logger for loading information
`static String` | `NAME`
`static String` | `namespace`
`static String` | `PATH` The root package name for TDB
`static com.hp.hpl.jena.sparql.util.Symbol` | `symLogExec` Deprecated. Use ARQ.symLogExec instead.
`static com.hp.hpl.jena.sparql.util.Symbol` | `symUnionDefaultGraph` Symbol to use the union of named graphs as the default graph of a query
`static String` | `tdbIRI` IRI for TDB
`static String` | `VERSION` The full name of the current TDB version

Constructor Summary
`TDB()`

Method Summary
`static void` | `closedown()` Release any and all system resources held by TDB.
`static com.hp.hpl.jena.sparql.util.Context` | `getContext()`
`static void` | `init()` TDB System initialization - normally, this is not explicitly called because all routes to use TDB will cause initialization to occur.
`static void` | `setOptimizerWarningFlag(boolean b)` Set the global flag that control the "No BGP optimizer" warning.
`static void` | `sync(com.hp.hpl.jena.query.Dataset dataset)` Sync a TDB-backed Dataset.
`static void` | `sync(com.hp.hpl.jena.sparql.core.DatasetGraph dataset)` Sync a TDB-backed DatasetGraph.
`static void` | `sync(com.hp.hpl.jena.graph.Graph graph)` Sync a TDB-backed Graph.
`static void` | `sync(com.hp.hpl.jena.rdf.model.Model model)` Sync a TDB-backed Model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tdbIRI

    public static final String tdbIRI

  IRI for TDB

  See Also:
    Constant Field Values

### logInfoName

    public static final String logInfoName

  Logger for general information

  See Also:
    Constant Field Values

### logInfo

    public static final org.slf4j.Logger logInfo

  Logger for general information

### logLoaderName

    public static final String logLoaderName

  Logger for loading information

  See Also:
    Constant Field Values

### logLoader

    public static final org.slf4j.Logger logLoader

  Logger for loading information

### namespace

    public static final String namespace

See Also:
  Constant Field Values

### symUnionDefaultGraph

    public static final com.hp.hpl.jena.sparql.util.Symbol symUnionDefaultGraph

  Symbol to use the union of named graphs as the default graph of a query

### symLogExec

    @Deprecated
    public static final com.hp.hpl.jena.sparql.util.Symbol symLogExec

  Deprecated. Use ARQ.symLogExec instead.
  Symbol to use the union of named graphs as the default graph of a query

### PATH

    public static final String PATH

  The root package name for TDB

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### VERSION

    public static final String VERSION

  The full name of the current TDB version

### BUILD_DATE

    public static final String BUILD_DATE

  The date and time at which this release was built

Constructor Detail

### TDB

    public TDB()

Method Detail

### getContext

    public static com.hp.hpl.jena.sparql.util.Context getContext()

### init

    public static void init()

  TDB System initialization - normally, this is not explicitly called because all routes to use TDB will cause initialization to occur. However, calling it repeatedly is safe and low cost.

### closedown

    public static void closedown()

  Release any and all system resources held by TDB. This does NOT close or release datasets or graphs held by client code.

### setOptimizerWarningFlag

    public static void setOptimizerWarningFlag(boolean b)

  Set the global flag that control the "No BGP optimizer" warning. Set to false to silence the warning

### sync

    public static void sync(com.hp.hpl.jena.rdf.model.Model model)

  Sync a TDB-backed Model. Do nothing if not TDB-backed.

### sync

    public static void sync(com.hp.hpl.jena.graph.Graph graph)

  Sync a TDB-backed Graph. Do nothing if not TDB-backed.

### sync

    public static void sync(com.hp.hpl.jena.query.Dataset dataset)

  Sync a TDB-backed Dataset. Do nothing if not TDB-backed.

### sync

    public static void sync(com.hp.hpl.jena.sparql.core.DatasetGraph dataset)

  Sync a TDB-backed DatasetGraph. Do nothing if not TDB-backed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Talis Information Ltd. Copyright ? 2010 Epimorphics Ltd.